zenilib: ALeffectslot Struct Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Member Functions | Public Attributes | List of all members
ALeffectslot Struct Reference

`#include <alAuxEffectSlot.h>`

## Public Member Functions

| ALIGN (16) ALfloat WetBuffer[1][BUFFERSIZE]

## Public Attributes

volatile ALboolean | AuxSendAuto
ALfloat | ClickRemoval [1]
ALeffect | effect
ALeffectState * | EffectState
volatile ALfloat | Gain
ALuint | id
volatile ALenum | NeedsUpdate
ALfloat | PendingClicks [1]
RefCount | ref

## Detailed Description

Definition at line 19 of file alAuxEffectSlot.h.

## Member Function Documentation

ALeffectslot::ALIGN | ( | 16 |  | ) |

## Member Data Documentation

volatile ALboolean ALeffectslot::AuxSendAuto

Definition at line 24 of file alAuxEffectSlot.h.

Referenced by alAuxiliaryEffectSloti(), alGetAuxiliaryEffectSloti(), CalcSourceParams(), and InitEffectSlot().

ALfloat ALeffectslot::ClickRemoval[1]

Definition at line 31 of file alAuxEffectSlot.h.

Referenced by aluMixData(), InitEffectSlot(), MixSend_C(), and MixSend_SSE().

ALeffect ALeffectslot::effect

Definition at line 21 of file alAuxEffectSlot.h.

Referenced by alGetAuxiliaryEffectSloti(), CalcNonAttnSourceParams(), CalcSourceParams(), DedicatedUpdate(), EchoUpdate(), InitializeEffect(), ModulatorUpdate(), and ReverbUpdate().

ALeffectState* ALeffectslot::EffectState

Definition at line 27 of file alAuxEffectSlot.h.

Referenced by alcOpenDevice(), alDeleteAuxiliaryEffectSlots(), alGenAuxiliaryEffectSlots(), FreeDevice(), InitEffectSlot(), InitializeEffect(), ReleaseALAuxiliaryEffectSlots(), and UpdateDeviceParams().

volatile ALfloat ALeffectslot::Gain

Definition at line 23 of file alAuxEffectSlot.h.

Referenced by alAuxiliaryEffectSlotf(), alGetAuxiliaryEffectSlotf(), DedicatedUpdate(), EchoUpdate(), InitEffectSlot(), ModulatorUpdate(), and ReverbUpdate().

ALuint ALeffectslot::id

Definition at line 37 of file alAuxEffectSlot.h.

Referenced by alDeleteAuxiliaryEffectSlots(), alGenAuxiliaryEffectSlots(), and ReleaseALAuxiliaryEffectSlots().

volatile ALenum ALeffectslot::NeedsUpdate

Definition at line 26 of file alAuxEffectSlot.h.

Referenced by alAuxiliaryEffectSlotf(), InitEffectSlot(), InitializeEffect(), and UpdateDeviceParams().

ALfloat ALeffectslot::PendingClicks[1]

Definition at line 32 of file alAuxEffectSlot.h.

Referenced by InitEffectSlot(), MixSend_C(), and MixSend_SSE().

RefCount ALeffectslot::ref

Definition at line 34 of file alAuxEffectSlot.h.

Referenced by alDeleteAuxiliaryEffectSlots(), alDeleteSources(), InitEffectSlot(), ReleaseALSources(), SetSourceiv(), and UpdateDeviceParams().

The documentation for this struct was generated from the following file:

- zenilib/jni/external/openal-soft/OpenAL32/Include/alAuxEffectSlot.h